TYPOS3 Core - Task #86419

Add default cropping ratio for social share images
2018-09-28 13:49 - Richard Haeser

Status: Closed Start date: 2018-09-28
Priority: Should have Due date:

Assignee: Riny van Tiggelen % Done: 100%
Category: SEO Estimated time: 0.00 hour
Target version: next-patchlevel

TYPO3 Version: 9 Complexity:

PHP Version: Sprint Focus:

Tags:

Description

Facebook, LindedIn and Twitter do have the same aspect ratio for images of shared URL's. So it would be great if the default aspect
ratio of the cropping tool is already providing the 1.91 / 1 ratio.

Associated revisions

Revision e1ffbaab - 2018-10-29 10:50 - Richard Haeser
[TASK] Added default cropping ratio for social media images

Most of the social networks use the 1.91:1 aspect ratio for images that
belong to the page that is shared.

Now og:image and twitter:iimage will be rendering an image with a 1.91:1
ratio by default.

Resolves: #86419

Releases: master

Change-Id: 1cd3588363f64659f66ba25d4f44a57afff5c1fel
Reviewed-on: https://review.typo3.org/58774

Tested-by: TYPO3com <no-reply@typo3.com>
Reviewed-by: Riny van Tiggelen <info@online-gamer.nl>
Tested-by: Riny van Tiggelen <info@online-gamer.nl>
Reviewed-by: Susanne Moog <susanne.moog@typo3.org>
Reviewed-by: Benni Mack <benni@typo3.org>

Tested-by: Benni Mack <benni@typo3.org>

History

#1 - 2018-09-28 13:49 - Richard Haeser
- Category set to SEO

- Assignee set to Riny van Tiggelen

#2 - 2018-09-30 21:35 - Benni Mack

- Target version changed from 9 LTS to next-patchlevel

#3 - 2018-10-01 22:19 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/58546

#4 - 2018-10-01 22:31 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/58546

#5 - 2018-10-02 07:39 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/58546
#6 - 2018-10-02 22:30 - Josef Glatz

Research and my suggestion

According to https://blog.bufferapp.com/ideal-image-sizes-social-media-posts and many other sites and the opengraph website | would suggest the
following aspect ratios supported out of the box to minimize integration work for every TYPO3 project:

-1.91:1
-9:16
-16:9
-4:5

-3:2

-2:3

-11

- Free/NaN

based on the following overview:

# Facebook

1.91:1 Sharing images: 1,200 x 628 pixels

1.91:1 Sharing links with an image: 1,200 x 628 pixels
9:16 Sharing Stories: 1,080 x 1,920 pixels*

# Instagram

gdl Sharing square images: 1,080 x 1,080 pixels
.91:1 Sharing horizontal images: 1,080 x 566 pixels

5] Sharing vertical images: 1,080 x 1,350 pixels
:16 Sharing Stories: 1,080 x 1,920 pixels*

[CR N

# Twitter

16:9 Sharing a single image: 1,200 x 675 pixels
16:9 Sharing multiple images: 1,200 x 675 pixels
1.91:1 Sharing links with an image: 800 x 418 pixels

# LinkedIn

BEP) Sharing images to Company Page or personal profile: 1,104 x 736 pixels
1.91:1 Sharing links with an image to Company Page or personal profile: 1,200 x 628 pixels

# Pinterest

233 Sharing images: 800 x 1,200 pixels

# Google+

1.91:1 Sharing images or links with an image: 1,200 x 628 pixels
# Snapchat

9:16 Sharing images: 1,080 x 1,920 pixels*

| will update the next patchset based on that research

#7 - 2018-10-03 07:51 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/58546

#8 - 2018-10-29 09:39 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/58774

#9 - 2018-10-29 09:51 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/58774

#10 - 2018-10-29 11:00 - Richard Haeser

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset elffbaab4fb1d3363869bc2fc7d492fa3528833c.

#11 - 2019-05-07 12:22 - Benni Mack

- Status changed from Resolved to Closed
